## zita-alsa-pcmi 0.2.0

=== apps/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2003-2011 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = "0.1.0"
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall -MMD -MP


all:	alsa_loopback alsa_delay


ALSA_LOOPBACK_O =	alsa_loopback.o pxthread.o
alsa_loopback:	LDLIBS += -lzita-alsa-pcmi -lasound -lpthread -lrt
alsa_loopback:	$(ALSA_LOOPBACK_O)
	g++ $(LDFLAGS) -o $@ $(ALSA_LOOPBACK_O) $(LDLIBS)
$(ALSA_LOOPBACK_O):
-include $(_ALSA_LOOPBACK_O:%.o=%.d)


ALSA_DELAY_O =	alsa_delay.o mtdm.o pxthread.o
alsa_delay:	LDLIBS += -lzita-alsa-pcmi -lasound -lpthread -lrt
alsa_delay:	$(ALSA_DELAY_O)
	g++ $(LDFLAGS) -o $@ $(ALSA_DELAY_O) $(LDLIBS)
$(ALSA_DELAY_O):
-include $(ALSA_DELAY_O:%.o=%.d)


install:	all
	install -Dm 755 alsa_loopback  $(DESTDIR)$(PREFIX)/bin/alsa_loopback
	install -Dm 755 alsa_delay     $(DESTDIR)$(PREFIX)/bin/alsa_delay


uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/alsa_loopback
	rm -f $(DESTDIR)$(PREFIX)/bin/alsa_delay


clean:
	/bin/rm -f *~ *.o *.a *.d *.so alsa_loopback alsa_delay

=== libs/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2012 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 0
MINVERS = 2.0
VERSION = $(MAJVERS).$(MINVERS)


CPPFLAGS += -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
CXXFLAGS += -O2 -Wall -I. -fPIC
LDLFAGS +=
LDLIBS +=


ZITA-ALSA-PCMI_SO = libzita-alsa-pcmi.so
ZITA-ALSA-PCMI_MAJ = $(ZITA-ALSA-PCMI_SO).$(MAJVERS)
ZITA-ALSA-PCMI_MIN = $(ZITA-ALSA-PCMI_MAJ).$(MINVERS)
ZITA-ALSA-PCMI_DEP = -lasound
ZITA-ALSA-PCMI_O = zita-alsa-pcmi.o
ZITA-ALSA-PCMI_H = zita-alsa-pcmi.h


$(ZITA-ALSA-PCMI_MIN): $(ZITA-ALSA-PCMI_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(ZITA-ALSA-PCMI_MAJ) -o $(ZITA-ALSA-PCMI_MIN) $(ZITA-ALSA-PCMI_O) $(ZITA-ALSA-PCMI_DEP)


install:	$(ZITA-ALSA-PCMI_MIN)
	install -Dm 644 $(ZITA-ALSA-PCMI_H)   $(DESTDIR)$(PREFIX)/include/$(ZITA-ALSA-PCMI_H)
	install -Dm 644 $(ZITA-ALSA-PCMI_MIN) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(ZITA-ALSA-PCMI_MIN)
	ln -sf $(ZITA-ALSA-PCMI_MIN) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(ZITA-ALSA-PCMI_SO)
	ldconfig

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/include/zita-alsa-pcmi.h
	rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/libzita-alsa-pcmi*

clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*

=== debian/changelog ===
zita-alsa-pcmi (0.2.0-4ubuntu2) artful; urgency=medium

  * Revert PIE changes now for the latest dpkg.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 28 Apr 2017 10:34:51 +0530

zita-alsa-pcmi (0.2.0-4ubuntu1) zesty; urgency=medium

  * Disable PIE during build for now.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 17 Feb 2017 11:43:32 +0530

zita-alsa-pcmi (0.2.0-4) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Fix VCS fields.
  * Bump Standards.
  * Fix hardening.
  * Avoid useless linking.
  * Remove unused substitution variable.
  * Add spelling patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 12:03:32 +0100

zita-alsa-pcmi (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 18:44:57 +0000

zita-alsa-pcmi (0.2.0-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Add symbols file, don't use static shlibs anymore.

  [ IOhannes m zmoelnig ]
  * Adding manpages (Closes: #716677)
  * Fix usage-message of sample-applications.
  * Use canonical Vcs-* stanzas.

  [ Jaromír Mikeš ]
  * Removed DMUA.
  * Bump Standards.
  * Added local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Aug 2013 10:56:12 +0200

zita-alsa-pcmi (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update debian/copyright.
  * Bump debhelper to 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Mar 2012 12:40:59 +0100

zita-alsa-pcmi (0.1.2-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release

  [ Alessio Treglia ]
  * Add DM-Upload-Allowed: yes.
  * This release should fix FTBFS on most architectures.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 06 Feb 2012 14:34:50 +0100

zita-alsa-pcmi (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #657861)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 29 Jan 2012 17:29:03 +0100

=== debian/control ===
Source: zita-alsa-pcmi
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libasound2-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-alsa-pcmi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-alsa-pcmi.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: libzita-alsa-pcmi-dev
Section: libdevel
Architecture: any
Depends:
 libfftw3-dev (>= 3.1.2-3.1),
 libzita-alsa-pcmi0 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Development files (headers) for libzita-alsa-pcmi library
 Zita-alsa-pcmi is a C++ wrapper around the ALSA API
 a successor of clalsadrv library.
 It provides easy access to ALSA PCM devices,
 taking care of the many functions required to open,
 initialise and use a hw: device in mmap mode,
 and providing floating point audio data.
 .
 This package contains the headers used to build applications
 that use libzita-alsa-pcmi.

Package: libzita-alsa-pcmi0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper around the ALSA API
 Zita-alsa-pcmi is the successor of clalsadrv library.
 It provides easy access to ALSA PCM devices,
 taking care of the many functions required to open,
 initialise and use a hw: device in mmap mode,
 and providing floating point audio data.
 .
 This package contains the shared library for libzita-alsa-pcmi.

Package: zita-alsa-pcmi-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Two simple demo programs zita-alsa-pcmi library
 Two simple demo programs are provided.
 alsa_delay a ALSA version of jack_delay.
 And alsa_loopback

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ -Smakefile

override_dh_auto_build:
	$(MAKE) -C libs/
	$(MAKE) -C apps/

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C libs/ clean
	$(MAKE) -C apps/ clean

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C libs/ DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C apps/ DESTDIR=$(CURDIR)/debian/tmp install

override_dh_installchangelogs:
	dh_installchangelogs README

## zita-alsa-pcmi 0.3.2

=== apps/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Modify as required.
#
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = "0.3.2"
CPPFLAGS +=  -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall


all:	alsa_loopback alsa_delay


ALSA_LOOPBACK_O =	alsa_loopback.o pxthread.o
alsa_loopback:	LDLIBS += -lzita-alsa-pcmi -lasound -lpthread -lrt
alsa_loopback:	$(ALSA_LOOPBACK_O)
	$(CXX) $(LDFLAGS) -o $@ $(ALSA_LOOPBACK_O) $(LDLIBS)
$(ALSA_LOOPBACK_O):
-include $(_ALSA_LOOPBACK_O:%.o=%.d)


ALSA_DELAY_O =	alsa_delay.o mtdm.o pxthread.o
alsa_delay:	LDLIBS += -lzita-alsa-pcmi -lasound -lpthread -lrt
alsa_delay:	$(ALSA_DELAY_O)
	$(CXX) $(LDFLAGS) -o $@ $(ALSA_DELAY_O) $(LDLIBS)
$(ALSA_DELAY_O):
-include $(ALSA_DELAY_O:%.o=%.d)


install:	all
	install -d $(BINDIR)
	install -m 755 alsa_loopback  $(DESTDIR)$(BINDIR)
	install -m 755 alsa_delay     $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/alsa_loopback
	rm -f $(DESTDIR)$(BINDIR)/bin/alsa_delay


clean:
	/bin/rm -f *~ *.o *.a *.d *.so alsa_loopback alsa_delay

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Modify as required.
#
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
PREFIX ?= /usr/local
INCDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib$(SUFFIX)

MAJVERS = 0
MINVERS = 3.2
VERSION = $(MAJVERS).$(MINVERS)

CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
CXXFLAGS += -O2 -Wall -fPIC
CXXFLAGS += -march=native
LDLFAGS +=
LDLIBS +=


ZITA-ALSA-PCMI_SO = libzita-alsa-pcmi.so
ZITA-ALSA-PCMI_MAJ = $(ZITA-ALSA-PCMI_SO).$(MAJVERS)
ZITA-ALSA-PCMI_MIN = $(ZITA-ALSA-PCMI_MAJ).$(MINVERS)
ZITA-ALSA-PCMI_DEP = -lasound
ZITA-ALSA-PCMI_O = zita-alsa-pcmi.o
ZITA-ALSA-PCMI_H = zita-alsa-pcmi.h


$(ZITA-ALSA-PCMI_MIN): $(ZITA-ALSA-PCMI_O)
	$(CXX) -shared $(LDFLAGS) -Wl,-soname,$(ZITA-ALSA-PCMI_MAJ) -o $(ZITA-ALSA-PCMI_MIN) $(ZITA-ALSA-PCMI_O) $(ZITA-ALSA-PCMI_DEP)


install:	$(ZITA-ALSA-PCMI_MIN)
	install -d $(DESTDIR)$(INCDIR)
	install -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(ZITA-ALSA-PCMI_H) $(DESTDIR)$(INCDIR)
	install -m 755 $(ZITA-ALSA-PCMI_MIN) $(DESTDIR)$(LIBDIR)
	ldconfig
	ln -sf $(ZITA-ALSA-PCMI_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-ALSA-PCMI_SO)

uninstall:
	rm -rf $(DESTDIR)$(INCDIR)/$(ZITA-ALSA-PCMI_H)
	rm -rf $(DESTDIR)$(LIBDIR)/libzita-alsa-pcmi*

clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*

=== debian/changelog ===
zita-alsa-pcmi (0.3.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #950750)

  [ Dennis Braun ]
  * Add me as uploader
  * Bump dh-compat to 13
  * Refresh patchset
  * Fix zita-alsa-pcmi-utils installation
  * Add libzita-alsa-pcmi-dev as B-D for the symbols
  * d/rules: Remove -Wl,--as-needed ldflags

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Aug 2020 18:13:22 +0200

zita-alsa-pcmi (0.3.2-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 0.3.2
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Set RRR: no
    + Use https protocol for homepage
  * d/copyright: Update year, http > https & add myself
  * d/patches: Update patchset
  * d/rules: Replace libs/ with source/
  * d/source/local-options: Drop, obsolete
  * d/watch: Use https protocol
  * Fix zita-alsa-pcmi-utils.install

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Feb 2020 20:36:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: zita-alsa-pcmi
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libasound2-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-alsa-pcmi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-alsa-pcmi.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
+Rules-Requires-Root: no
 
 Package: libzita-alsa-pcmi-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build --sourcedirectory=source
	dh_auto_build --sourcedirectory=apps

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C source/ clean
	$(MAKE) -C apps/ clean

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C source/ DESTDIR=$(DESTDIR) install
	$(MAKE) -C apps/ DESTDIR=$(DESTDIR) install

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-alsa-pcmi-(.*)\.tar\.bz2

## zita-alsa-pcmi 0.4.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2006-2021 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
 MAJVERS = 0
-MINVERS = 3.2
+MINVERS = 4.0
 VERSION = $(MAJVERS).$(MINVERS)
 
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS

=== debian/changelog ===
zita-alsa-pcmi (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Bump Standards-Version to 4.6.0
  * Change the Architecture of the binary packages to linux-any
  * Refresh patchset
  * Update symbols file
  * Update d/copyright year and add myself to the d/ section

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 12 Jan 2022 20:37:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
@@ -16,7 +16,7 @@
 
 Package: libzita-alsa-pcmi-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends:
  libfftw3-dev (>= 3.1.2-3.1),
  libzita-alsa-pcmi0 (= ${binary:Version}),
@@ -35,7 +35,7 @@
 
 Package: libzita-alsa-pcmi0
 Section: libs
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -51,7 +51,7 @@
  This package contains the shared library for libzita-alsa-pcmi.
 
 Package: zita-alsa-pcmi-utils
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## zita-alsa-pcmi 0.5.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2021 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2006-2022 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
 MAJVERS = 0
-MINVERS = 4.0
+MINVERS = 5.1
 VERSION = $(MAJVERS).$(MINVERS)
 
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS

=== debian/changelog ===
zita-alsa-pcmi (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump copyright year
  * Add salsa ci config
  * Refresh 02 patch

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jul 2022 12:47:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

## zita-alsa-pcmi 0.6.1

=== source/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
 MAJVERS = 0
-MINVERS = 5.1
+MINVERS = 6.1
 VERSION = $(MAJVERS).$(MINVERS)
 
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS

=== debian/changelog ===
zita-alsa-pcmi (0.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Dennis Braun ]
  * New upstream version 0.6.1
  * Refresh patchset
  * Change my email address
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Tue, 27 Dec 2022 18:22:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-alsa-pcmi
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
@@ -18,7 +18,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends:
- libfftw3-dev (>= 3.1.2-3.1),
+ libfftw3-dev,
  libzita-alsa-pcmi0 (= ${binary:Version}),
  ${misc:Depends},
 Multi-Arch: same
